package rec.simulate.widgets.wm;

import java.util.*;
import java.awt.*;
import rec.util.*;
import rec.sys.*;
import rec.core.widgets.*;
import rec.geo.*;
import rec.simulate.*;
import rec.simulate.widgets.*;

public class WMSimGear extends WSimGear
{
    public WMSimGear(WCircle newCircle){
	super(newCircle);
    }
    
    public String load(WMSimulatorRegistryBase reg){
	
	String output = "";

	GPoint newCenter = reg.convert( m_circle.getCenter() );
	double newRad = reg.convert( m_circle.getRadius() );
	
	output += "Dim " + m_Name + " as WMBody\n";
	
	output += "center.X = " + newCenter.x + " : center.Y = " + 
	    newCenter.y + "\n";
	output += "Set " + m_Name + " = Draw_Circle( " + newRad +
	    ", center )\n";
		
	return output;
    }
}
